Package: org.gradle.tooling.model.idea

## [Java] Interface IdeaProject

- org.gradle.tooling.model.Element

- All Superinterfaces:
    HierarchicalElement, Model, Element

  Represents the information about the IDEA project.

  Since:
    1.0-milestone-5

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `DomainObjectSet<? extends IdeaModule>` | `getChildren()` Returns the modules of this IDEA project.
    `String` | `getJdkName()` Returns the name of the JDK.
    `IdeaLanguageLevel` | `getLanguageLevel()` Returns the language level to use within the current project.
    `DomainObjectSet<? extends IdeaModule>` | `getModules()` Returns the modules of this IDEA project.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface HierarchicalElement` | `getChildren, getParent`
    `interface Element` | `getDescription, getName`

- - ### Method Detail

    - #### public DomainObjectSet<? extends IdeaModule> getChildren()

      Returns the modules of this IDEA project. Most projects have at least one module. Alias for getModules().

      Returns:
        The modules of this IDEA project.
      Since:
        1.0-milestone-5

    - #### public String getJdkName()

      Returns the name of the JDK.

      Returns:
        The name of the JDK.
      Since:
        1.0-milestone-5

    - #### public IdeaLanguageLevel getLanguageLevel()

      Returns the language level to use within the current project.

      Returns:
        The language level to use within the current project.
      Since:
        1.0-milestone-5

    - #### public DomainObjectSet<? extends IdeaModule> getModules()

      Returns the modules of this IDEA project. Most projects have at least one module. Alias for getChildren().

      Returns:
        The modules of this IDEA project.
      Since:
        1.0-milestone-5